WATCH(8)

NAME
watch - snoop on another tty line

SYNOPSIS
watch [-cinotW] [-f snpdev] [tty]

DESCRIPTION
The watch utility allows the user to examine all data coming through a specified tty using the snp(4) device. If the snp(4) device is not available, watch will attempt to load the module (snp). The watch utility writes to standard output.

The options are as follows:

-c  Reconnect on close. If the tty observed by watch is closed, automatically reattach to the same tty. If this option is not specified, watch will request a new tty if running in interactive mode or exit if running without a controlling tty.

-f snpdev
    If this option is specified, watch will use snpdev as the snp(4) device. Without this option, watch will attempt to find the next available snp(4) device.

-i  Force interactive mode. Interactive mode is a default if watch is started from a tty. If output is redirected to a file, interactive mode can still be requested by specifying this option.

-n  Disable the ability to switch the watched tty interactively. This disables both change requests made with <control-X> as well as automatic prompting when the current tty is closed or overflows. In all cases where a prompt would be displayed, watch will exit. The reconnect flags are unaffected by this option. When this flag is used, <control-X> is passed through to the terminal.

-o  Reconnect on overflow. The behavior of watch if the observed tty overflows is similar to the behavior if the observed tty is closed. For more info see snp(4).

-t  Print the date and time when observation of a given tty is started.

-W  Allow write access to observed tty.

tty Tty may be specified as a tty-style device, such as a pseudo tty device, a virtual console, or a serial line, etc. Names may be preceded by /dev/.

OPERATION
While running in interactive mode, all user input is discarded except for:

<control-G>
    Exit watch.
<control-W>
    Clear screen.
<control-X>
    Change attached tty, unless this feature is disabled, in which case control-X is passed to the terminal as with other control characters.

SEE ALSO
pty(4), sio(4), snp(4), kldload(8)

HISTORY
The watch utility first appeared in FreeBSD 2.1.

AUTHORS
Ugen J.S. Antsilevich <ugen@NetVision.net.il>

BUGS
No terminal emulation is performed. All user output is reproduced as-is.